# GenericDocumentType enum

Supported document types

Inheritance
  - Object
  - Enum
  - GenericDocumentType

## Constructors

GenericDocumentType()
  const

## Values

DE_ID_CARD_FRONT → const GenericDocumentType

  German ID card, front side */

DE_ID_CARD_BACK → const GenericDocumentType

  German ID card, back side */

DE_PASSPORT → const GenericDocumentType

  German travel passport (Reisepass) */

DE_DRIVER_LICENSE_FRONT → const GenericDocumentType

  German driver license (Führerschein), front side */

DE_DRIVER_LICENSE_BACK → const GenericDocumentType

  German driver license (Führerschein), back side */

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<GenericDocumentType>
  A constant List of the values in this enum, in order of their declaration.
  `[DE_ID_CARD_FRONT, DE_ID_CARD_BACK, DE_PASSPORT, DE_DRIVER_LICENSE_FRONT, DE_DRIVER_LICENSE_BACK]`